BuildRequires: geronimo-javamail-1.3.1-api geronimo-jms-1.1-api
BuildRequires: /proc
BuildRequires: jpackage-compat
%define version 2.0.8
%define name maven2
# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

#def_with gcj_support
%bcond_with gcj_support
#def_with itests
%bcond_with itests
%bcond_without bootstrap
%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/org/apache/maven/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%if %with gcj_support
%define gcj_support 0
%else
%define gcj_support 0
%endif

%define maven_version   2.0.8
%define NONFREE 0

%define base_name maven
%define name maven2

%define repo_dir m2_home_local/repository
%define maven_settings_file %{_builddir}/%{name}/settings.xml

Name:           %{name}
Version:        %{maven_version}
Release:        alt11_37jpp6
Epoch:          0
Summary:        Java project management and project comprehension tool

Group:          Development/Java
License:        Apache Software License
URL:            http://maven.apache.org/

# svn export http://svn.apache.org/repos/asf/maven/components/tags/maven-%{version} maven2
# tar czf maven2-src.tar.gz maven2
Source0:        %{name}-src.tar.gz

# svn export -r {2007-03-31} http://svn.apache.org/repos/asf/maven/plugins/trunk maven2-plugins
# tar czf maven2-plugins-070331-src.tar.gz maven2-plugins
Source2:        %{name}-plugins-070705-src.tar.gz

# No source location for these. They are ascii files generated from maven
# repositories, and are not in cvs/svn
# The files were originally aquired from: http://repo1.maven.org/maven2/
Source3:        m2_pom_repo.tar.gz

# As with above, these files are from the maven repositories, and are not in 
# cvs/svn
# The files were originally aquired from: http://repo1.maven.org/maven2/
Source4:        m2_jar_repo.tar.gz
Source5:        %{name}-script

Source6:        maven2-JPackageRepositoryLayout.java
Source7:        maven2-settings.xml

Source9:          %{name}-run-it-tests.sh

# svn export http://svn.apache.org/repos/asf/maven/components/tags/maven-2.0.8/maven-model
# cd maven-model
# mvn -P all-models package 
# Find model jar in target/maven-model-2.0.8.jar
Source10:       %{name}-model-v3.jar
Source11:       %{name}-MavenJPackageDepmap.java
Source12:       %{name}-addjdom-depmap.xml
Source13:       %{name}-empty-dep.pom

# Empty jar file with just a manifest. No source destination to specify
Source14:       %{name}-empty-dep.jar
Source15:       %{name}-jpp-script
Source16:       %{name}-jpp-readme.html
Source17:       %{name}-versionless-depmap.xml
# upgrade some plugins
Source18:       maven-resources-plugin-2.4.3.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-resources-plugin-2.4.3/
# tar czf maven-resources-plugin-2.4.3.tar.gz maven-resources-plugin-2.4.3/
Source19:       maven-site-plugin-2.0.1.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-site-plugin-2.0.1/
# tar czf maven-site-plugin-2.0.1.tar.gz maven-site-plugin-2.0.1/
Source20:       maven-assembly-plugin-2.1.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-assembly-plugin-2.1/
# tar czf maven-assembly-plugin-2.1.tar.gz maven-assembly-plugin-2.1/
Source21:       maven-changes-plugin-2.3.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-changes-plugin-2.3/
# tar czf maven-changes-plugin-2.3.tar.gz maven-changes-plugin-2.3/

# We need to replace the deploy plugin as the 2.4-SNAPSHOT included above 
# has several bugs
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-deploy-plugin-2.5
Source25: maven-deploy-plugin-2.5.tar.gz

# We need to replace the javadoc plugin as the 2.3-SNAPSHOT included above 
# has several bugs
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-javadoc-plugin-2.5 
Source22: maven-javadoc-plugin-2.5.tar.gz

Source23:       maven-invoker-plugin-1.4.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-invoker-plugin-1.4/
# tar czf maven-invoker-plugin-1.4.tar.gz maven-invoker-plugin-1.4/

Source24:       maven-antrun-plugin-1.6.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-antrun-plugin-1.6/
# tar czf maven-antrun-plugin-1.6.tar.gz maven-antrun-plugin-1.6/

# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-source-plugin-2.1.2
# tar czf maven-source-plugin-2.1.2.tar.gz maven-source-plugin-2.1.2/
Source26:       maven-source-plugin-2.1.2.tar.gz

Source99:       maven-doxia-modules.pom
Source100:      maven2-component-info.xml

Patch0:         maven2-addjdomtobootstrappath.patch
Patch1:         %{name}-jpprepolayout.patch
Patch2:         %{name}-fastjar-manifest-fix.patch
Patch3:         %{name}-plugins-doxiaupdatefix.patch
Patch4:         %{name}-plugins-catch-uncaught-exceptions.patch
Patch5:         %{name}-plugins-dependency-plugin-import-fix.patch
Patch6:         %{name}-%{version}-excludeexternaljars.patch
##Patch7:         %{name}-site-plugin-addservletdep.patch
Patch7:         %{name}-site-plugin-pom.patch
Patch8:         %{name}-enable-bootstrap-repository.patch
Patch9:         %{name}-use-unversioned-classworlds.patch
Patch10:        %{name}-plugins-disablecobertura.patch
Patch11:        %{name}-shade-plugin-replacement.patch
Patch12:        %{name}-sourcetarget.patch
Patch13:        %{name}-plugin-assembly-PropertiesInterpolationValueSource.patch
# patch site-plugin-2.0.1 to doxia-tools 1.0.1
Patch14:        %{name}-site-plugin-SiteDescriptorAttachMojo-doxia-tools-101.patch
## javadoc 2.4 uses an old doxia method
##Patch15:        %{name}-plugins-javadoc-newdoxia.patch
# This plugin can't cope with a JAR without a JDK version on it
Patch16:        %{name}-plugins-project-info-reports-jdkversion.patch
Patch17:        %{name}-MNG-3139.patch
Patch18:	%{name}-plugins-jpprepolayout.patch
Patch19:	%{name}-plugins-disableenforcer.patch
Patch20:        %{name}-commons-cli-1.1.patch
Patch21:        %{name}-plugin-assembly-PropertyUtils.patch
Patch22:        %{name}-plugin-assembly-FileFormatter.patch
Patch23:        %{name}-plugin-assembly-AssemblyFormatUtils.patch
Patch24:        %{name}-plugin-war-MappingUtils.patch
Patch25:        %{name}-plugin-war-pom.patch
Patch26:        %{name}-plugin-javadoc-pom.patch
Patch27:        %{name}-plugin-javadoc-AbstractJavadocMojo.patch
Patch28:        %{name}-plugin-changes-pom.patch
Patch29:        %{name}-plugin-changes-mdo.patch
Patch30:        %{name}-plugin-changes-ChangesXML.patch
Patch31:        %{name}-plugin-invoker-pom.patch
Patch32:        %{name}-plugin-antrun-pom.patch

Provides:       %{name}-bootstrap = %{epoch}:%{version}-%{release}

BuildRequires: jpackage-utils >= 0:1.7.5
BuildRequires: /bin/ls %{_bindir}/head %{_bindir}/find %{_bindir}/awk /bin/grep /bin/sed

BuildRequires: ant >= 0:1.8.1
BuildRequires: ant-nodeps >= 0:1.8.1
BuildRequires: ant-junit >= 0:1.8.1

BuildRequires: antlr >= 0:2.7.4
BuildRequires: aqute-bndlib
BuildRequires: bsh >= 0:1.3.0
#BuildRequires:   cglib >= 0:2.1.0
BuildRequires: checkstyle4 >= 0:4.1
BuildRequires: checkstyle4-optional >= 0:4.1
BuildRequires: classworlds >= 0:1.1
%if %{NONFREE}
BuildRequires: clover
%endif
BuildRequires: dom4j >= 0:1.6.1
#BuildRequires:    tomcat5-parent
BuildRequires: tomcat5-servlet-2.4-api
BuildRequires: glassfish-javamail
BuildRequires: gnu.regexp >= 0:1.1.4
BuildRequires: groovy15
BuildRequires: httpunit >= 0:1.6
BuildRequires: geronimo-genesis
BuildRequires: geronimo-j2ee-1.4-apis
BuildRequires: apache-commons-parent
BuildRequires: apache-commons-beanutils >= 0:1.7.0
BuildRequires: apache-commons-cli >= 0:1.0
BuildRequires: apache-commons-collections >= 0:3.1
BuildRequires: apache-commons-io >= 0:1.1
BuildRequires: apache-commons-lang >= 0:2.1
BuildRequires: apache-commons-logging >= 0:1.0.4
BuildRequires: apache-commons-validator >= 0:1.1.4
BuildRequires: jaxen >= 0:1.1
BuildRequires: jdom >= 0:1.0
#BuildRequires:   jmock >= 0:1.0.1
BuildRequires: jline >= 0:0.8.1
BuildRequires: jsch >= 0:0.1.20
BuildRequires: jtidy >= 0:1.0
BuildRequires: junit >= 0:3.8.2
BuildRequires: maven2-common-poms >= 0:1.0-5
BuildRequires: maven-jxr >= 0:1.0-2
BuildRequires: maven-wagon >= 0:1.0-0.1.b2
BuildRequires: maven-doxia >= 0:1.0-1
BuildRequires: maven-plugin-tools
BuildRequires: maven-shared-dependency-analyzer
BuildRequires: maven-shared-doxia-tools
BuildRequires: maven-shared-filtering
BuildRequires: maven-shared-model-converter
BuildRequires: maven-shared-plugin-testing-harness >= 0:1.0
BuildRequires: maven-shared-plugin-tools-api
BuildRequires: maven-shared-plugin-tools-beanshell
BuildRequires: maven-shared-plugin-tools-java
BuildRequires: maven-shared-toolchain
BuildRequires: maven-shared-verifier
BuildRequires: nekohtml >= 0:0.9.3
BuildRequires: oro >= 0:2.0.8
BuildRequires: plexus-ant-factory >= 0:1.0-0.a1.2
BuildRequires: plexus-bsh-factory >= 0:1.0-0.a7s.2
BuildRequires: plexus-archiver >= 0:1.0-0.1.a8
BuildRequires: plexus-compiler >= 0:1.5.1
BuildRequires: plexus-container-default >= 0:1.0
BuildRequires: plexus-i18n >= 0:1.0
BuildRequires: plexus-interactivity >= 0:1.0
BuildRequires: plexus-utils >= 0:1.5.8
BuildRequires: plexus-velocity >= 0:1.1.2
BuildRequires: pmd >= 0:3.6
BuildRequires: qdox >= 0:1.5
BuildRequires: rhino >= 0:1.5
BuildRequires: saxon-scripts
BuildRequires: saxpath
BuildRequires: velocity14
BuildRequires: velocity > 0:1.4
BuildRequires: ws-commons-util
BuildRequires: xerces-j2 >= 0:2.7.1
BuildRequires: xalan-j2 >= 0:2.6.0
BuildRequires: xmlrpc
BuildRequires: xmlunit
BuildRequires: xom

%if %with itests
BuildRequires: log4j >= 0:1.2.13
BuildRequires: xml-commons-apis >= 0:1.3.02
%endif

%if %without bootstrap
BuildRequires: %{name} >= %{epoch}:%{version}
BuildRequires: maven2-plugin-ant
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-clean
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-shade
BuildRequires: maven2-plugin-site
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared-archiver
BuildRequires: maven-doxia-sitetools >= 0:1.0-1
BuildRequires: maven-embedder
BuildRequires: maven-scm >= 0:1.1
BuildRequires: maven-scm-test >= 0:1.1
BuildRequires: maven-shared-common-artifact-filters
BuildRequires: maven-shared-dependency-tree
BuildRequires: maven-shared-downloader
BuildRequires: maven-shared-file-management >= 0:1.0
BuildRequires: maven-shared-io
BuildRequires: maven-shared-repository-builder
BuildRequires: maven-shared-invoker
BuildRequires: maven-shared-jar
BuildRequires: maven-shared-plugin-testing-tools
BuildRequires: maven-shared-plugin-tools-api
BuildRequires: maven-shared-plugin-tools-beanshell
BuildRequires: maven-shared-plugin-tools-java
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-surefire >= 0:2.0
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-surefire-booter >= 0:2.0
BuildRequires: modello >= 0:1.3
BuildRequires: plexus-digest
BuildRequires: plexus-maven-plugin >= 0:1.3.5
BuildRequires: plexus-mail-sender
BuildRequires: plexus-resources
%endif

Requires: ant >= 0:1.7.1
Requires: antlr >= 0:2.7.4
Requires: aqute-bndlib
Requires: bsh >= 0:1.3.0
#Requires:       cglib >= 0:2.1.0
Requires: checkstyle4 >= 0:4.1
Requires: classworlds >= 0:1.1
Requires(post): classworlds >= 0:1.1
%if %{NONFREE}
Requires: clover
%endif
Requires: dom4j >= 0:1.6.1
#Requires:       tomcat5-parent
Requires: tomcat5-servlet-2.4-api
Requires: glassfish-javamail
Requires: gnu.regexp >= 0:1.1.4
Requires: httpunit >= 0:1.6
Requires: apache-commons-beanutils >= 0:1.7.0
Requires: apache-commons-cli >= 0:1.0
Requires(post): apache-commons-cli >= 0:1.0
Requires: apache-commons-collections >= 0:3.1
Requires: apache-commons-io >= 0:1.1
Requires: apache-commons-lang >= 0:2.1
Requires(post): apache-commons-lang >= 0:2.1
Requires: apache-commons-logging >= 0:1.0.4
Requires(post): apache-commons-logging >= 0:1.0.4
Requires: apache-commons-validator >= 0:1.1.4
Requires: jaxen >= 0:1.1
Requires: jdom >= 0:1.0
Requires(post): jdom >= 0:1.0
#Requires:       jmock >= 0:1.0.1
Requires: jline >= 0:0.8.1
Requires: jsch >= 0:0.1.20
Requires(post): jsch >= 0:0.1.20
Requires: jtidy >= 0:1.0
Requires: junit >= 0:3.8.2
Requires: maven2-common-poms >= 0:1.0-5
Requires: maven-jxr >= 0:1.0
Requires: maven-wagon >= 0:1.0-0.1.b2
Requires(post): maven-wagon >= 0:1.0-0.1.b2
Requires: nekohtml >= 0:0.9.3
Requires: oro >= 0:2.0.8
Requires: plexus-ant-factory >= 0:1.0-0.a1.2
Requires: plexus-bsh-factory >= 0:1.0-0.a7s.2
Requires: plexus-archiver >= 0:1.0-0.a6
Requires: plexus-compiler >= 0:1.5.1
Requires: plexus-container-default >= 0:1.0
Requires(post): plexus-container-default >= 0:1.0
Requires: plexus-i18n >= 0:1.0
Requires: plexus-interactivity >= 0:1.0
Requires(post): plexus-interactivity >= 0:1.0
Requires: plexus-utils >= 0:1.5.8
Requires(post): plexus-utils >= 0:1.5.8
Requires: plexus-velocity >= 0:1.1.2
Requires: pmd >= 0:3.6
Requires: qdox >= 0:1.5
Requires: rhino >= 0:1.5
Requires: velocity >= 0:1.4
Requires: xerces-j2 >= 0:2.7.1
Requires: xalan-j2 >= 0:2.6.0
Requires: xmlrpc
Requires: xmlunit
Requires: xom

%if %without bootstrap
Requires: %{name} = %{epoch}:%{version}
Requires: maven-doxia >= 0:1.0-1
Requires(post): maven-doxia >= 0:1.0-1
Requires: maven-scm >= 0:1.1
Requires: maven-scm-test >= 0:1.1
Requires: maven-shared-invoker
Requires: maven-shared-io
Requires: maven-shared-file-management >= 0:1.0-4
Requires: maven-shared-jar
Requires: maven-shared-model-converter
Requires: maven-shared-verifier
Requires: maven-surefire >= 0:2.0
Requires: maven-surefire-booter >= 0:2.0
Requires: modello >= 0:1.3
%endif

Obsoletes:       maven2-plugin-jxr <= 0:2.0.4 
Obsoletes:       maven2-plugin-surefire <= 0:2.0.4 
Obsoletes:       maven2-plugin-surefire-report <= 0:2.0.4 
Obsoletes:       maven2-plugin-release <= 0:2.0.4 
Obsoletes:	 maven2-plugin-enforcer < %{epoch}:%{version}-%{release}

Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5 /bin/rmdir


%if ! %{gcj_support}
BuildArch:      noarch
%endif

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
Source44: import.info
BuildRequires: maven-shared-archiver plexus-containers-container-default plexus-containers plexus-classworlds maven-plugin-tools plexus-cli plexus-containers-component-annotations 
BuildRequires: maven-enforcer maven2-plugin-war geronimo-j2ee-1.4-apis
# unbootstrap
BuildRequires: maven2-plugin-ant
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-clean
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-plugin
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-shade
BuildRequires: maven2-plugin-site
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared-archiver
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-embedder
BuildRequires: maven-scm >= 0:1.0-0.b3.2
BuildRequires: maven-scm-test >= 0:1.0-0.b3.2
BuildRequires: maven-shared-common-artifact-filters
BuildRequires: maven-shared-dependency-analyzer
BuildRequires: maven-shared-dependency-tree
BuildRequires: maven-shared-downloader
BuildRequires: maven-shared-file-management >= 1.0
BuildRequires: maven-shared-io
BuildRequires: maven-shared-plugin-testing-harness >= 1.0
BuildRequires: maven-shared-repository-builder
BuildRequires: maven-shared-invoker
BuildRequires: maven-shared-jar
BuildRequires: maven-shared-model-converter
BuildRequires: maven-shared-plugin-testing-tools
BuildRequires: maven-shared-plugin-tools-api
BuildRequires: maven-shared-plugin-tools-beanshell
BuildRequires: maven-shared-plugin-tools-java
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-shared-verifier
BuildRequires: maven-surefire >= 2.0
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-surefire-booter >= 2.0
BuildRequires: modello >= 1.0-0.a8.3
BuildRequires: modello-maven-plugin >= 1.0-0.a8.3
BuildRequires: plexus-digest
BuildRequires: plexus-maven-plugin >= 1.3.5
BuildRequires: plexus-mail-sender
BuildRequires: plexus-resources
BuildRequires: jakarta-commons-digester jakarta-commons-parent excalibur-avalon-framework
Patch33: maven2-2.0.8-alt-bootstrap-fix-descriptor-leak.patch


%description
Maven is a software project management and comprehension tool. Based on the 
concept of a project object model (POM), Maven can manage a project's build,
reporting and documentation from a central piece of information.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description    manual
%{summary}.

%package        plugin-ant
Summary:        Ant plugin for maven
Group:          Development/Java
Requires: ant >= 0:1.7.1
Requires: ant-junit
Requires: ant-nodeps
Requires: junit >= 0:3.8.2
Requires: maven-wagon >= 0:1.0-0.1.b2
Requires: plexus-utils >= 0:1.5.8
Requires: xalan-j2 >= 0:2.6.0
Requires: xml-commons-apis >= 0:1.3.02
Requires: plexus-container-default
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-ant
Generates an Ant build file for the project.
apache
%package        plugin-antlr
Summary:        Antlr plugin for maven
Group:          Development/Java
Requires: antlr >= 0:2.7.4
Requires: plexus-container-default
Requires: plexus-i18n >= 0:1.0
%if %without bootstrap
Requires: maven-doxia >= 0:1.0-1
Requires: maven-doxia-sitetools >= 0:1.0-1
%endif
Requires: plexus-utils >= 0:1.5.8
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-antlr
Generates sources from an Antlr grammar.

%package        plugin-antrun
Summary:        Antrun plugin for maven
Group:          Development/Java
Requires: ant >= 0:1.8.1
Requires: ant-nodeps >= 0:1.8.1
Requires: maven-embedder
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: maven-shared-reporting-impl

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-antrun
Runs a set of ant tasks from a phase of the build.


%package        plugin-assembly
Summary:        Assembly plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
%if %without bootstrap
Requires: modello >= 0:1.3
%endif
Requires: plexus-archiver >= 0:1.0
Requires: plexus-interpolation >= 0:1.12
Requires: plexus-utils >= 0:1.5.8
Requires: maven-shared-file-management >= 0:1.0
Requires: maven-shared-archiver
Requires: plexus-container-default
Requires: maven-shared-repository-builder
Requires: maven-shared-common-artifact-filters
Requires: maven-shared-plugin-testing-tools
Requires: maven-shared-test-tools
Requires: jmock >= 0:1.0.1
Requires: jdom >= 0:1.0
Requires: jaxen >= 0:1.1
Requires: saxpath
Requires: junit >= 0:3.8.2

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-assembly
Builds an assembly (distribution) of sources and/or binaries.

%package        plugin-changelog
Summary:        Changelog plugin for maven
Group:          Development/Java
%if %without bootstrap
Requires: maven-scm >= 0:1.1
%endif
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: maven-doxia >= 0:1.0-1
Requires: maven-doxia-sitetools >= 0:1.0-1
Requires: maven-scm >= 0:1.1
Requires: maven-shared-reporting-impl

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-changelog
The Maven Changelog Plugin generates reports regarding the recent changes in
your Software Configuration Management or SCM.

%package        plugin-changes
Summary:        Changes plugin for maven
Group:          Development/Java
%if %without bootstrap
Requires: maven-doxia >= 0:1.0-1
Requires: maven-doxia-sitetools >= 0:1.0-1
%endif
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: velocity
Requires: apache-commons-httpclient
Requires: plexus-velocity >= 0:1.1.2
Requires: plexus-mail-sender
Requires: glassfish-javamail
Requires: apache-commons-lang
Requires: velocity
Requires: ws-commons-util
Requires: maven-shared-reporting-impl


%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-changes
The Maven Changes Plugin is used to inform users of the changes that have 
occured between different releases of your project.  

%package        plugin-checkstyle
Summary:        Checkstyle plugin for maven
Group:          Development/Java
Requires: checkstyle4 >= 0:4.1
Requires: checkstyle4-optional >= 0:4.1
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils >= 0:1.5.8
Requires: plexus-velocity >= 0:1.1.2
Requires: plexus-resources
Requires: maven-shared-reporting-impl

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-checkstyle
Generates a checkstyle report.


%package        plugin-clean
Summary:        Clean plugin for maven
Group:          Development/Java
Requires: junit >= 0:3.8.2
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils >= 0:1.5.8

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-clean
Cleans up files generated during build.

%if %{NONFREE}
%package        plugin-clover
Summary:        Clover plugin for maven
Group:          Development/Java
Requires: ant >= 0:1.7.1
Requires: jmock >= 0:1.0.1
Requires: junit >= 0:3.8.2
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-compiler >= 0:1.5.1
Requires: plexus-resources
Requires: clover
Requires: maven-shared-reporting-impl

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-clover
Generates a Clover report.
%endif


%package        plugin-compiler
Summary:        Compiler plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-compiler >= 0:1.5.1
Requires: plexus-utils >= 0:1.5.8

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-compiler
Compiles Java sources.


%package        plugin-dependency
Summary:        Dependency plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-archiver >= 0:1.0
Requires: plexus-utils >= 0:1.5.8
Requires: maven-shared-file-management >= 0:1.0-4
Requires: junit >= 0:3.8.2
Requires: plexus-container-default
Requires: maven-shared-dependency-analyzer
Requires: maven-shared-dependency-tree

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-dependency
The dependency plugin provides the capability to manipulate artifacts. It can
copy and/or unpack artifacts from local or remote repositories to a specified
location.

%package        plugin-deploy
Summary:        Deploy plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-deploy
Deploys the built artifacts to a remote repository.


%package        plugin-doap
Summary:        Description of a Project (DOAP) plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-doap
The Maven DOAP Plugin generates a Description of a Project (DOAP) file from
a POM.


%package        plugin-docck
Summary:        DOCCK plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils
Requires: maven-shared-plugin-tools-beanshell >= 0:2.2
Requires: maven-shared-plugin-tools-java >= 0:2.2
Requires: apache-commons-httpclient
Requires: apache-commons-logging >= 0:1.0.4
Requires: maven-shared-file-management >= 0:1.0-4
Requires: maven-shared-plugin-tools-api
Requires: maven-shared-reporting-impl

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-docck
The Maven DOCCK Plugin checks that a project complies with the 
Plugin Documentation Standard.


%package        plugin-ear
Summary:        Ear plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils >= 0:1.5.8
Requires: maven-shared-verifier
Requires: xmlunit

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-ear
Generates an EAR from the current project.


%package        plugin-eclipse
Summary:        Eclipse plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils >= 0:1.5.8
Requires: plexus-archiver >= 0:1.0
Requires: jmock >= 0:1.0.1
Requires: jdom >= 0:1.0
Requires: jaxen >= 0:1.1
Requires: saxpath
Requires: plexus-interactivity >= 0:1.0
Requires: maven-shared-plugin-testing-tools
Requires: maven-shared-test-tools
Requires: aqute-bndlib

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-eclipse
Generates an Eclipse project file for the current project.


%package        plugin-ejb
Summary:        EJB plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-ejb
Builds an EJB (and optional client) from the current project.


%package        plugin-gpg
Summary:        GPG plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: apache-commons-lang
Requires: plexus-utils
Requires: apache-commons-lang
Requires: junit >= 0:3.8.2

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-gpg
The Maven GPG Plugin signs all of the project's attached artifacts with GnuPG.


%package        plugin-help
Summary:        Help plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: maven-shared-plugin-tools-api

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-help
Gets information about the working environment for the project.


%package        plugin-idea
Summary:        Idea plugin for maven
Group:          Development/Java
Requires: dom4j >= 0:1.6.1
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: maven-wagon >= 0:1.0-0.1.b2
Requires: plexus-utils >= 0:1.5.8
Requires: jmock >= 0:1.0.1

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-idea
Creates/updates an IDEA workspace for the current project 
(individual modules are created as IDEA modules).


%package        plugin-install
Summary:        Install plugin for maven
Group:          Development/Java
Requires: plexus-digest >= 0:1.0
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-install
Installs the built artifact into the local repository.

%package        plugin-invoker
Summary:        Invoker plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
%if %without bootstrap
Requires: maven-shared
Requires: maven-shared-invoker
Requires: maven-shared-file-management >= 0:1.0-4
Requires: maven-shared-io
%endif
Requires: bsh
Requires: groovy15
BuildRequires: objectweb-asm

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-invoker
The Maven Invoker Plugin is used to run a set of Maven projects and makes 
sure that each project execution is successful, and optionally verifies 
the output from a given project execution.

%package        plugin-jar
Summary:        Jar plugin for maven
Group:          Development/Java
Requires: apache-commons-lang >= 0:2.1
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: maven-shared-archiver >= 0:2.3
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils >= 0:1.5.8

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-jar
Builds a JAR from the current project.


%package        plugin-javadoc
Summary:        Javadoc plugin for maven
Group:          Development/Java
Requires: apache-commons-lang >= 0:2.1
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
%if %without bootstrap
Requires: modello >= 0:1.3
%endif
Requires: plexus-archiver >= 0:1.0
Requires: plexus-utils >= 0:1.5.8
Requires: maven-shared-reporting-impl
Requires: maven-shared-toolchain

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
Requires: excalibur-avalon-framework

%description    plugin-javadoc
Generates Javadoc for the project.

%package        plugin-one
Summary:        One plugin for maven
Group:          Development/Java
Requires: junit >= 0:3.8.2
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-archiver >= 0:1.0
Requires: plexus-utils >= 0:1.5.8
Requires: junit >= 0:3.8.2
Requires: maven-shared-model-converter

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-one
A plugin for interacting with legacy Maven 1.x repositories and builds.


%package        plugin-pmd
Summary:        Pmd plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-utils >= 0:1.5.8
Requires: plexus-resources
Requires: pmd >= 0:3.3
Requires: jaxen >= 0:1.1
Requires: xom
Requires: maven-shared-reporting-impl

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-pmd
Generates a PMD report.


%package        plugin-project-info-reports
Summary:        Project-info-reports plugin for maven
Group:          Development/Java
Requires: httpunit >= 0:1.6
Requires: apache-commons-validator >= 0:1.1.4
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-i18n >= 0:1.0
Requires: maven-shared-reporting-impl
Requires: maven-shared-jar
Requires: maven-shared-dependency-tree
Requires: maven-wagon
Requires: maven-scm >= 0:1.1
Requires: maven-doxia >= 0:1.0-1
Requires: maven-doxia-sitetools >= 0:1.0-1

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-project-info-reports
Generates standard project reports.

%package        plugin-rar
Summary:        Rar plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-rar
Builds a RAR from the current project.


%package        plugin-remote-resources
Summary:        Remote Resources plugin for maven
Group:          Development/Java
Requires: junit >= 0:3.8.2
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-container-default
Requires: plexus-interpolation >= 0:1.12
Requires: plexus-utils >= 0:1.5.8
Requires: plexus-velocity
Requires: velocity
%if %without bootstrap
Requires: maven-shared
Requires: maven-shared-downloader
Requires: plexus-resources
%endif

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
Requires:  maven-shared-doxia-tools

%description    plugin-remote-resources
The Maven Remote Resources Plugin is used to retrieve JARs of resources
from remote repositories, processes those resources, and incorporate them
into JARs built with maven.

%package        plugin-repository
Summary:        Repository plugin for maven
Group:          Development/Java
Requires: junit >= 0:3.8.2
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-archiver >= 0:1.0

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-repository
Plugin to help with repository-based tasks.

%package        plugin-resources
Summary:        Resources plugin for maven
Group:          Development/Java
Requires: plexus-utils >= 0:1.5.8
Requires: maven-shared-filtering
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
Requires:  maven-shared-filtering

%description    plugin-resources
Copies the resources to the output directory for including in the JAR.

%package        plugin-site
Summary:        Site plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
%if %without bootstrap
Requires: maven-doxia >= 0:1.0-1
Requires: maven-doxia-sitetools >= 0:1.0-1
Requires: maven-skins >= 0:5
Requires: velocity15 >= 0:1.5
%endif
Requires: plexus-utils >= 0:1.5.8

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
Requires: maven-shared-downloader maven-shared-doxia-tools

%description    plugin-site
Generates a site for the current project.

%package        plugin-source
Summary:        Source plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: maven-shared-doxia-tools
Requires: plexus-archiver >= 0:1.0
Requires: plexus-utils >= 0:1.5.8
Requires: plexus-container-default >= 0:1.0
Requires: junit >= 0:3.8.2

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-source
Builds a JAR of sources for use in IDEs and distribution to the repository.


%package        plugin-stage
Summary:        Stage plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: maven-wagon
Requires: plexus-utils
Requires: junit >= 0:3.8.2

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-stage
Maven Stage Plugin copies artifacts from one repository to another.


%package        plugin-verifier
Summary:        Verifier plugin for maven
Group:          Development/Java
Requires: junit >= 0:3.8.2
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
%if %without bootstrap
Requires: modello >= 0:1.3
%endif
Requires: plexus-utils >= 0:1.5.8

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-verifier
Useful for integration tests - verifies the existence of certain conditions.

%package        plugin-war
Summary:        War plugin for maven
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(postun): %{name} = %{epoch}:%{version}-%{release}
Requires: plexus-interpolation >= 0:1.12
Requires: plexus-utils >= 0:1.5.8
Requires: junit >= 0:3.8.2

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    plugin-war
Builds a WAR from the current project.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -c -n %{name}

# Extract the plugins
tar xzf %{SOURCE2}

# We need to replace the javadoc plugin as the 2.3-SNAPSHOT included above 
# has several bugs
rm -r maven2-plugins/maven-antrun-plugin
rm -r maven2-plugins/maven-invoker-plugin
rm -r maven2-plugins/maven-javadoc-plugin
rm -r maven2-plugins/maven-enforcer-plugin
rm -r maven2-plugins/maven-changes-plugin
rm -r maven2-plugins/maven-resources-plugin
rm -r maven2-plugins/maven-site-plugin
rm -r maven2-plugins/maven-plugin-plugin
rm -r maven2-plugins/maven-deploy-plugin
rm -r maven2-plugins/maven-source-plugin
pushd maven2-plugins
tar xzf %{SOURCE18}
mv maven-resources-plugin-2.4.3 maven-resources-plugin
tar xzf %{SOURCE19}
mv maven-site-plugin-2.0.1 maven-site-plugin
tar xzf %{SOURCE20}
mv maven-assembly-plugin-2.1 maven-assembly-plugin
tar xzf %{SOURCE21}
mv maven-changes-plugin-2.3 maven-changes-plugin
tar xzf %{SOURCE22}
mv maven-javadoc-plugin-2.5 maven-javadoc-plugin
tar xzf %{SOURCE23}
mv maven-invoker-plugin-1.4 maven-invoker-plugin
tar xzf %{SOURCE24}
mv maven-antrun-plugin-1.6 maven-antrun-plugin
tar xzf %{SOURCE25}
mv maven-deploy-plugin-2.5 maven-deploy-plugin
tar xzf %{SOURCE26}
mv maven-source-plugin-2.1.2 maven-source-plugin
popd


# This plugin can't cope with a JAR without a JDK version on it
%patch16 -p0 -b .sav16

%patch17 -p0 -b .sav17

%patch18 -p0 -b .sav18
%patch19 -p0 -b .sav19

%patch20 -p0 -b .sav20

# Remove dependencies on org.codehaus.doxia.* (it is now
# org.apache.maven.doxia, and in the interest of maintaining just one
# doxia jar, we substitute things accordingly)

for i in    maven2-plugins/maven-changelog-plugin/src/main/java/org/apache/maven/plugin/changelog/FileActivityReport.java \
            maven2-plugins/maven-changelog-plugin/src/main/java/org/apache/maven/plugin/changelog/ChangeLogReport.java \
            maven2-plugins/maven-changelog-plugin/src/main/java/org/apache/maven/plugin/changelog/DeveloperActivityReport.java \
            maven2-plugins/maven-javadoc-plugin/src/main/java/org/apache/maven/plugin/javadoc/JavadocReport.java \
            maven2/maven-reporting/maven-reporting-api/src/main/java/org/apache/maven/reporting/MavenReport.java \
            maven2-plugins/maven-antlr-plugin/src/main/java/org/apache/maven/plugin/antlr/AntlrHtmlReport.java \
            maven2-plugins/maven-pmd-plugin/src/main/java/org/apache/maven/plugin/pmd/AbstractPmdReport.java \
            maven2-plugins/maven-pmd-plugin/src/main/java/org/apache/maven/plugin/pmd/CpdReportGenerator.java \
            maven2-plugins/maven-pmd-plugin/src/main/java/org/apache/maven/plugin/pmd/PmdReport.java \
            maven2-plugins/maven-pmd-plugin/src/main/java/org/apache/maven/plugin/pmd/PmdReportListener.java \
            maven2-plugins/maven-checkstyle-plugin/src/main/java/org/apache/maven/plugin/checkstyle/CheckstyleReport.java \
            maven2-plugins/maven-checkstyle-plugin/src/main/java/org/apache/maven/plugin/checkstyle/CheckstyleReportGenerator.java; do

    sed -i -e s:org.codehaus.doxia.sink.Sink:org.apache.maven.doxia.sink.Sink:g $i
    sed -i -e s:org.codehaus.doxia.site.renderer.SiteRenderer:org.apache.maven.doxia.siterenderer.Renderer:g $i
    sed -i -r -e s:\(\\s+\)SiteRenderer\(\\s+\):\\1Renderer\\2:g $i
done

# Remove existing binaries from source trees
#find . -name "*.jar" -exec rm -f '{}' \;

%patch0 -p0 -b .sav0
%patch1 -p0 -b .sav1
%patch2 -p0 -b .sav2
%patch3 -p0 -b .sav3
%patch4 -p0 -b .sav4
%patch5 -p0 -b .sav5

# keep external jars out of uber jar only in non-bootstrap mode
%if %without bootstrap
%patch6 -p0 -b .sav6
%endif


%patch7 -p0 -b .sav7

%if %with bootstrap
%patch8 -p0 -b .sav8
%endif

%patch9 -p0 -b .sav9
%patch10 -p0 -b .sav10
%patch11 -p0 -b .sav11
%patch12 -p0 -b .sav12
%patch13 -p0 -b .sav13
%patch14 -p0 -b .sav14

%patch21 -p0 -b .sav21
%patch22 -p0 -b .sav22
%patch23 -p0 -b .sav23
%patch24 -p0 -b .sav24
%patch25 -p0 -b .sav25
%patch26 -p0 -b .sav26
%patch27 -p0 -b .sav27
%patch28 -p0 -b .sav28
%patch29 -p0 -b .sav29
%patch30 -p0 -b .sav30
%patch31 -p0 -b .sav31

# FIXME: Maven eclipse plugin tests are disabled for now, until a way
# is found to stop it from connecting to the web despite offline mode.
rm -rf maven2-plugins/maven-eclipse-plugin/src/test/*

# FIXME: Disabled items:

#Disabled goal (because we don't want a jetty dependency)
rm -f maven2-plugins/maven-site-plugin/src/main/java/org/apache/maven/plugins/site/SiteRunMojo.java

# Disabled test because it needs cglib
rm -f maven2-plugins/maven-release-plugin/src/test/java/org/apache/maven/plugins/release/PrepareReleaseMojoTest.java

# Disabled test because it needs mock
rm -f maven2/maven-artifact-manager/src/test/java/org/apache/maven/artifact/testutils/MockManager.java 
rm -f maven2/maven-artifact-manager/src/test/java/org/apache/maven/artifact/repository/metadata/AbstractRepositoryMetadataTest.java

# extract poms and jars (if any)
tar xzf %{SOURCE3}

# extract jars iff in bootstrap mode
%if %with bootstrap
tar xzf %{SOURCE4}
cp $(build-classpath plexus/utils) m2_repo/repository/JPP/plexus/
cp $(build-classpath maven-shared/toolchain) m2_repo/repository/JPP/maven-shared/
%endif

# Copy model-v3
cp -p %{SOURCE10} m2_repo/repository/JPP/maven2/model-v3.jar

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

cp -p %{SOURCE6} maven2/maven-artifact/src/main/java/org/apache/maven/artifact/repository/layout/JPackageRepositoryLayout.java
cp -p %{SOURCE11} maven2/maven-artifact/src/main/java/org/apache/maven/artifact/repository/layout/MavenJPackageDepmap.java

# FIXME: bootstrap-mini has no dependencies, so we copy the file there 
# (for now). Since bootstrap classes are not in the final package, there 
# will be no duplicates.
mkdir -p maven2/bootstrap/bootstrap-mini/src/main/java/org/apache/maven/artifact/repository/layout/
cp -p %{SOURCE11} maven2/bootstrap/bootstrap-mini/src/main/java/org/apache/maven/artifact/repository/layout/MavenJPackageDepmap.java

cp -p %{SOURCE7} %{maven_settings_file}
sed -i -e "s|<url>__INTERNAL_REPO_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" %{maven_settings_file}
%if %with bootstrap
sed -i -e "s|<url>__EXTERNAL_REPO_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" %{maven_settings_file}
%else
sed -i -e "s|<url>__EXTERNAL_REPO_PLACEHOLDER__</url>|<url>file://%{_datadir}/%{name}/repository</url>|g" %{maven_settings_file}
%endif

sed -i -e "s|__INTERNAL_REPO_PLACEHOLDER__|file://`pwd`/m2_repo/repository|g" maven2/bootstrap/bootstrap-mini/src/main/java/org/apache/maven/bootstrap/download/OnlineArtifactDownloader.java

%if %with bootstrap
sed -i -e "s|__EXTERNAL_REPO_PLACEHOLDER__|file://`pwd`/external_repo|g" maven2/bootstrap/bootstrap-mini/src/main/java/org/apache/maven/bootstrap/download/OnlineArtifactDownloader.java
%else
sed -i -e "s|__EXTERNAL_REPO_PLACEHOLDER__|file://%{_datadir}/%{name}/repository|g" maven2/bootstrap/bootstrap-mini/src/main/java/org/apache/maven/bootstrap/download/OnlineArtifactDownloader.java
%endif

# Copy the empty dependency jar/pom in place
mkdir -p m2_repo/repository/JPP/maven2/default_poms
cp -p %{SOURCE13} m2_repo/repository/JPP/maven2/default_poms/JPP.maven2-empty-dep.pom
cp -p %{SOURCE14} m2_repo/repository/JPP/maven2/empty-dep.jar
%patch33 -p0

cat > relink_bootstrap_maven_jars.sh << 'EOF'
#!/bin/sh
DUP='cp -pL'
# old 26: `find m* plexus/[adr-x]* plexus/mail* plexus/c[ol]* -type f -name '*.jar'` 
pushd m2_repo/repository/JPP
for i in maven-surefire/api.jar maven-surefire/booter.jar maven-surefire/maven-plugin.jar ;do
    if [ -f /usr/share/java/$i ]; then
    mv $i $i.no;
    $DUP /usr/share/java/$i $i
    fi
done
# old 26:
#i=maven-archiver.jar; mv $i $i.no; $DUP /usr/share/java/maven-shared/archiver.jar $i
#i=maven-embedder.jar; mv $i $i.no; $DUP /usr/share/java/maven2/embedder.jar $i
#i=maven-enforcer-rule-api.jar; mv $i $i.no; $DUP /usr/share/java/maven-enforcer/enforcer-api.jar $i
# 
#i=maven2-plugin-cobertura.jar; mv $i $i.no; $DUP  $i
#i=maven-shared/maven-plugin-testing-harness.jar; mv $i $i.no; $DUP /usr/share/java/maven-shared/plugin-testing-harness.jar $i
#i=maven-reporting/impl.jar; mv $i $i.no; $DUP maven-shared/reporting-impl.jar $i
find . -name '*.jar.no' -delete
popd
EOF
#%_sourcedir
sh ./relink_bootstrap_maven_jars.sh


%build
# Fix maven-remote-resources-plugin
# we now use plexus-velocity 1.1.7 which has the correct descriptor with a hint.
rm -f maven2-plugins/maven-remote-resources-plugin/src/main/resources/META-INF/plexus/components.xml

# Wire in jdom dependency
cp -p maven2/maven-artifact/pom.xml maven2/maven-artifact/pom.xml.withoutjdom
saxon -o maven2/maven-artifact/pom.xml maven2/maven-artifact/pom.xml.withoutjdom %{_javadir}-utils/xml/maven2jpp-mapdeps.xsl map=%{SOURCE12}
saxon -o m2_repo/repository/JPP/maven2/poms/JPP.maven2-artifact.pom maven2/maven-artifact/pom.xml.withoutjdom %{_javadir}-utils/xml/maven2jpp-mapdeps.xsl map=%{SOURCE12}

# for uber jar
cp -p maven2/maven-core/pom.xml maven2/maven-core/pom.xml.withoutjdom
saxon -o maven2/maven-core/pom.xml maven2/maven-core/pom.xml.withoutjdom %{_javadir}-utils/xml/maven2jpp-mapdeps.xsl map=%{SOURCE12}

cp -p maven2/bootstrap/bootstrap-installer/pom.xml maven2/bootstrap/bootstrap-installer/pom.xml.withoutjdom
saxon -o maven2/bootstrap/bootstrap-installer/pom.xml maven2/bootstrap/bootstrap-installer/pom.xml.withoutjdom %{_javadir}-utils/xml/maven2jpp-mapdeps.xsl map=%{SOURCE12}

mkdir -p maven2/maven2-plugins/maven-assembly-plugin/target/generated-resources/plexus/META-INF/plexus/components.xml
touch maven2/maven2-plugins/maven-assembly-plugin/target/generated-resources/plexus/META-INF/plexus/components.xml

# Build maven2
export MAVEN_REPO_LOCAL=`pwd`/%{repo_dir}
export M2_SETTINGS_FILE=%{maven_settings_file}

# In bootstrap mode, we want it looking at default poms only (controlled via 
# maven2-common-poms). This enables us to change naming structures without 
# breaking build.

export MAVEN_OPTS="$MAVEN_OPTS -Dmaven.repo.local=$MAVEN_REPO_LOCAL -Dmaven2.ignore.versions -Dmaven2.offline.mode -Dmaven.test.failure.ignore=true -Dmaven2.jpp.depmap.file=%{SOURCE17}"
export M2_HOME=`pwd`/maven2/home/apache-%{base_name}-%{version}

%if %with bootstrap
export MAVEN_OPTS="$MAVEN_OPTS -Dmaven2.jpp.default.repo=`pwd`/external_repo"
%else
export MAVEN_OPTS="$MAVEN_OPTS -Dmaven2.jpp.default.repo=%{_datadir}/%{name}/repository"
%endif

# pushd maven2/ ...
pushd %{name} >& /dev/null

[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME

mkdir bootstrap/lib
ln -s $(build-classpath jdom) bootstrap/lib/jdom.jar
export CLASSPATH=`pwd`/bootstrap/lib/jdom.jar
export JDOMCLASS=$CLASSPATH
./bootstrap.sh --prefix=`pwd`/home  --settings=%{maven_settings_file}
unset CLASSPATH

popd >& /dev/null

# Update the classworlds jar name in the mvn script
sed -i -e s:"/core/boot/classworlds-\*.jar":/core/boot/classworlds\*.jar:g $M2_HOME/bin/mvn

# In non-bootstrap mode, external jars are kept out of the uber jar. Copy those
# jars in for now (linked in %%post)

%if %without bootstrap
(cd $M2_HOME/lib
cp ../../../../m2_home_local/repository/com/jcraft/jsch/0.1.24/jsch-0.1.24.jar jsch.jar
cp ../../../../m2_home_local/repository/org/codehaus/plexus/plexus-utils/1.4.6/plexus-utils-1.4.6.jar plexus-utils.jar
cp ../../../../m2_home_local/repository/commons-cli/commons-cli/1.0/commons-cli-1.0.jar commons-cli.jar
cp ../../../../m2_home_local/repository/org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.jar doxia-sink-api.jar
cp ../../../../m2_home_local/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-8/plexus-container-default-1.0-alpha-8.jar plexus-container-default.jar
cp ../../../../m2_home_local/repository/org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.jar plexus-interactivity-api.jar
cp ../../../../m2_home_local/repository/jtidy/jtidy/4aug2000r7-dev/jtidy-4aug2000r7-dev.jar jtidy.jar
)

build-jar-repository -s -p $M2_HOME/lib jdom maven-wagon/file maven-wagon/http-lightweight maven-wagon/http-shared maven-wagon/provider-api maven-wagon/ssh maven-wagon/ssh-common maven-wagon/ssh-external
%endif

# Build plugins
pushd maven2-plugins >& /dev/null

%if ! %{NONFREE}
# Disable clover plugin. We don't have a clover package yet.
sed -i -e s:"<module>maven-clover-plugin</module>"::g pom.xml
%endif

# Now build everything
# FIXME: Need to build in two stages to get around gcj bug that causes plugin reload to fail
#$M2_HOME/bin/mvn -e --batch-mode -s %{maven_settings_file} $MAVEN_OPTS -Dmaven.test.skip=true -npu --no-plugin-registry -fn verify  
$M2_HOME/bin/mvn -e --batch-mode -s %{maven_settings_file} $MAVEN_OPTS -Dmaven.test.skip=true -npu --no-plugin-registry verify  
$M2_HOME/bin/mvn -e --batch-mode -s %{maven_settings_file} $MAVEN_OPTS -Dmaven.test.skip=true -npu --no-plugin-registry --fail-at-end jar:jar install:install

popd >& /dev/null

%if %without bootstrap
# Build model-all JAR  (for model-v3 classes)
pushd maven2/maven-model >& /dev/null

$M2_HOME/bin/mvn -e -s %{maven_settings_file} $MAVEN_OPTS -P all-models package

popd >& /dev/null
%endif

# Build complete. Run it tests.

%if %with itests

(cd maven2

# One of the tests (#63) needs tools.jar. Fix the path for it
sed -i -e s:"<systemPath>\${java.home}/../lib/tools.jar</systemPath>":"<systemPath>$JAVA_HOME/lib/tools.jar</systemPath>":g maven-core-it/it0063/pom.xml 

(cd integration-tests/maven-core-it-plugin
$M2_HOME/bin/mvn -s %{maven_settings_file} $MAVEN_OPTS org.apache.maven.plugins:maven-plugin-plugin:2.4.3:descriptor org.apache.maven.plugins:maven-resources-plugin:2.2-SNAPSHOT:resources org.apache.maven.plugins:maven-compiler-plugin:2.1-SNAPSHOT:compile org.apache.maven.plugins:maven-jar-plugin:2.1-SNAPSHOT:jar org.apache.maven.plugins:maven-install-plugin:2.2-SNAPSHOT:install
$M2_HOME/bin/mvn -s %{maven_settings_file} $MAVEN_OPTS org.apache.maven.plugins:maven-install-plugin:2.2-SNAPSHOT:install-file -DgroupId=org.apache.maven.plugins -DartifactId=maven-core-it-plugin -Dversion=%{version}-JPP -Dpackaging=maven-plugin -Dfile=target/maven-core-it-plugin-1.0-SNAPSHOT.jar
)

for i in `find integration-tests/maven-core-it-support -name pom.xml`; do
    pushd `dirname $i`
        $M2_HOME/bin/mvn -s %{maven_settings_file} $MAVEN_OPTS org.apache.maven.plugins:maven-plugin-plugin:2.4.3:descriptor org.apache.maven.plugins:maven-resources-plugin:2.2-SNAPSHOT:resources org.apache.maven.plugins:maven-compiler-plugin:2.1-SNAPSHOT:compile  org.apache.maven.plugins:maven-jar-plugin:2.1-SNAPSHOT:jar org.apache.maven.plugins:maven-install-plugin:2.2-SNAPSHOT:install
    popd
done

# Test 41 expects core-it-support 1.2 to be packed as a coreit-artifact
(cd integration-tests/maven-core-it-support/1.2
$M2_HOME/bin/mvn -s %{maven_settings_file} $MAVEN_OPTS org.apache.maven.plugins:maven-install-plugin:2.2-SNAPSHOT:install-file -DgroupId=org.apache.maven -DartifactId=maven-core-it-support -Dversion=1.2 -Dpackaging=coreit-artifact -Dfile=target/maven-core-it-support-1.2.jar
)

OLD_MAVEN_OPTS=$MAVEN_OPTS
MAVEN_OPTS="$MAVEN_OPTS -Dmaven.settings.file=$M2_SETTINGS_FILE -Dmaven2.ignore.versions  -Dmaven2.jpp.mode -Dmaven2.jpp.mode=true"
sh -x %{SOURCE9}
export MAVEN_OPTS=$OLD_MAVEN_OPTS
)

%endif

cp maven2-plugins/maven-javadoc-plugin/pom.xml m2_repo/repository/JPP/maven2/poms/JPP.maven2.plugins-javadoc-plugin.pom
# Build docs

# Manual iteration should not be needed, but there is a bug in the javadoc 
# plugin which makes this necessary. See: 
# http://jira.codehaus.org/browse/MJAVADOC-157

(cd maven2
for dir in `find -maxdepth 1 -type d`; do

    if [ "$dir" == "./maven-core-it-runner" ]; then
        continue
    fi

    if [ ! -f $dir/pom.xml ]; then
        continue
    fi 

    pushd $dir
    $M2_HOME/bin/mvn -s %{maven_settings_file} $MAVEN_OPTS -Dmaven2.usejppjars org.apache.maven.plugins:maven-javadoc-plugin:2.5:javadoc
    popd
done
)
(cd maven2-plugins
for dir in `find -maxdepth 1 -type d`; do

%if !%{NONFREE}
    if [ "$dir" == "./maven-clover-plugin" ]; then
        continue
    fi
%endif

    if [ ! -f $dir/pom.xml ]; then
        continue
    fi

    pushd $dir
    $M2_HOME/bin/mvn -s %{maven_settings_file} $MAVEN_OPTS -Dmaven2.usejppjars org.apache.maven.plugins:maven-javadoc-plugin:2.3-SNAPSHOT:javadoc
    popd
done
)

%install

export M2_HOME=`pwd`/maven2/home/apache-%{base_name}-%{version}

# Repository
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository

# Items in %%{_bindir}
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/mvn
install -pm 755 %{SOURCE15} $RPM_BUILD_ROOT%{_bindir}/mvn-jpp

# maven.home
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -p $M2_HOME/bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}/bin

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/boot

%if %with bootstrap
cp -p $M2_HOME/boot/classworlds* $RPM_BUILD_ROOT%{_datadir}/%{name}/boot/classworlds.jar
%endif

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/conf
install -m 644 $M2_HOME/conf/* $RPM_BUILD_ROOT%{_datadir}/%{name}/conf

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
cp -p $M2_HOME/lib/* $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

# Also, link maven jars from %%{_javadir}
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for library in $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/maven-%{version}-uber.jar; do
    ln -s ../../%{name}/lib/`basename $library` $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-uber.jar
done

# Install component poms and jars
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/poms
pushd %{name}
    for project in maven-artifact \
        maven-artifact-manager \
        maven-artifact-test \
        maven-core \
        maven-error-diagnostics \
        maven-model \
        maven-monitor \
        maven-plugin-api \
        maven-plugin-descriptor \
        maven-plugin-parameter-documenter \
        maven-plugin-registry \
        maven-profile \
        maven-project \
        maven-repository-metadata \
        maven-settings; do 

        artifactname=`echo $project | sed -e s:^maven-::g`
        cp -p $project/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-$artifactname.pom

        # dependency fragments
        %add_to_maven_depmap org.apache.maven $project %{version} JPP/%{name} $artifactname

        install -m 644 $project/target/$project-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$artifactname-%{version}.jar

%if %without bootstrap
        if [ "$project" == "maven-model" ]; then
          install -m 644 $project/target/$project-%{version}-all.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$artifactname-all-%{version}.jar
        fi
%endif

    done
popd

# reporting api
cp -p %{name}/maven-reporting/maven-reporting-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-reporting-api.pom
%add_to_maven_depmap org.apache.maven.reporting maven-reporting-api %{version} JPP/%{name} reporting-api
install -m 644 %{name}/maven-reporting/maven-reporting-api/target/*jar $RPM_BUILD_ROOT%{_javadir}/%{name}/reporting-api-%{version}.jar 

# script, script-ant and script-beanshell
cp -p %{name}/maven-script/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-script.pom
%add_to_maven_depmap org.apache.maven maven-script %{version} JPP/%{name} script

cp -p %{name}/maven-script/maven-script-ant/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-script-ant.pom
%add_to_maven_depmap org.apache.maven maven-script-ant %{version} JPP/%{name} script-ant
install -pm 644 %{name}/maven-script/maven-script-ant/target/maven-script-ant-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/script-ant-%{version}.jar

cp -p %{name}/maven-script/maven-script-beanshell/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-script-beanshell.pom
%add_to_maven_depmap org.apache.maven maven-script-beanshell %{version} JPP/%{name} script-beanshell
install -pm 644 %{name}/maven-script/maven-script-beanshell/target/maven-script-beanshell-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/script-beanshell-%{version}.jar

# reporting pom
cp -p %{name}/maven-reporting/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-reporting.pom
%add_to_maven_depmap org.apache.maven.reporting maven-reporting %{version} JPP/%{name} reporting

# maven pom
cp -p %{name}/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-maven.pom
%add_to_maven_depmap org.apache.maven maven %{version} JPP/%{name} maven

# Create versionless symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar | sed  "s|-%{version}||g"`; done)

# plugins
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/

pushd maven2-plugins
    for targetdir in `find -mindepth 2 -maxdepth 2 -type d -name target`; do

        # Find the version version
        pluginname=`echo $targetdir | sed -e s:"^\\./"::g -e s:"/target$"::g`
        pluginversion=`ls $targetdir/*jar | awk -F / '{print $NF}' | sed -e s:"^$pluginname-"::g -e s:"\\.jar$"::g`
        artifactname=`echo $pluginname | sed -e s:^maven-::g`

        #jar 
        cp -p $targetdir/*jar $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/$artifactname-$pluginversion.jar
        ln -s $artifactname-$pluginversion.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/$artifactname.jar

        # pom
        cp -p `dirname $targetdir`/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}.plugins-$artifactname.pom
        %add_to_maven_depmap org.apache.maven.plugins $pluginname $pluginversion JPP/%{name}/plugins $artifactname

    done
popd

# g=org.apache.maven.plugins a=maven-plugins needs to be copied manually, as 
# it get's changed to a=plugins (a=plugins and a=maven-plugins is the same 
# file, but the former is needed for compatiblity while newer projects use 
# the latter)
cp -p maven2-plugins/target/*jar $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/maven-plugins.jar
cp -p maven2-plugins/pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.maven2.plugins-maven-plugins.pom
%add_to_maven_depmap org.apache.maven.plugins maven-plugins 9-SNAPSHOT JPP/%{name}/plugins maven-plugins

# The empty dependencies
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/poms
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.maven2-empty-dep.pom
cp -p %{SOURCE14} $RPM_BUILD_ROOT%{_javadir}/%{name}/empty-dep.jar

# For backwards compatibility
ln -s JPP.maven2-core.pom $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.maven2-mavencore.pom

# javadocs
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

(cd maven2
    for doc_dir in `find . -type d -name apidocs`; do 
        module=`echo $doc_dir | sed -e s:"^\\./"::g -e s:"/target/site/apidocs$"::g`
        targetdir=$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$module
        install -dm 755  $targetdir
        cp -pr $doc_dir/* $targetdir
    done
)

(cd maven2-plugins
    for doc_dir in `find . -type d -name apidocs`; do 
        module=`echo $doc_dir | sed -e s:"^\\./"::g -e s:"/target/site/apidocs$"::g`
        targetdir=$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$module
        install -dm 755 $targetdir
        cp -pr $doc_dir/* $targetdir
    done
)

# manual and jpp readme
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p %{name}/home/apache-%{base_name}-%{version}/*.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p %{SOURCE16} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# create appropriate links in %%{_javadir}
ln -sf %{_datadir}/%{name}/poms $RPM_BUILD_ROOT%{_javadir}/%{name}
ln -sf %{_datadir}/%{name}/plugins $RPM_BUILD_ROOT%{_javadir}/%{name}

# Create repository links
ln -s %{_javadir} $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP

# Create the bootstrap repo
%if %with bootstrap
install -dm 755  $RPM_BUILD_ROOT%{_datadir}/%{name}/bootstrap_repo
tar xzf %{SOURCE4}
sh ./relink_bootstrap_maven_jars.sh
mv m2_repo/repository/JPP $RPM_BUILD_ROOT%{_datadir}/%{name}/bootstrap_repo/
rmdir -p m2_repo/repository
%endif

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE100} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{version}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE13} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE15} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE16} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE17} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH5} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH6} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH7} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH8} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH9} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH10} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH11} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH12} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH14} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH16} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH18} $RPM_BUILD_ROOT%{repodirsrc}
for jar in project.jar settings.jar model.jar profile.jar artifact-manager.jar repository-metadata.jar artifact.jar plugin-registry.jar error-diagnostics.jar; do
    cp -p %{buildroot}%{_javadir}/%{name}/${jar} %{buildroot}%{repodirlib}/maven-${jar}
done
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

mkdir -p $RPM_BUILD_ROOT`dirname /etc/mavenrc`
touch $RPM_BUILD_ROOT/etc/mavenrc

%post

# clear the old links
find %{_datadir}/%{name}/boot/ -type l -exec rm -f '{}' \;
find %{_datadir}/%{name}/lib/ -type l -exec rm -f '{}' \;

%if %without bootstrap
build-jar-repository -s -p %{_datadir}/%{name}/boot classworlds

build-jar-repository -s -p %{_datadir}/%{name}/lib \
                commons-cli \
                commons-lang \
                commons-logging \
                jsch \
                jtidy \
                maven-doxia/sink-api \
                maven-wagon/file \
                maven-wagon/http-lightweight \
                maven-wagon/http-shared \
                maven-wagon/provider-api \
                maven-wagon/ssh \
                maven-wagon/ssh-common \
                maven-wagon/ssh-external \
                plexus/container-default \
                plexus/interactivity-api \
                plexus/utils
%endif

build-jar-repository -s -p %{_datadir}/%{name}/lib \
                jdom

:


# We create links in %post in the dir's below. rm -rf them.
%preun -n %{name}
[ $1 = 0 ] || exit 0
rm -rf %{_datadir}/%{name}/lib/*
rm -rf %{_datadir}/%{name}/core/*

%postun
# FIXME: This doesn't always remove the plugins dir. It seems that rpm doesn't
# honour the Requires(postun) as it should, causing maven to get uninstalled 
# before some plugins are
if [ -d %{_javadir}/%{name} ] ; then rmdir --ignore-fail-on-non-empty %{_javadir}/%{name} >& /dev/null; fi
:


%files -n %{name}
%doc %{name}/maven-core/*.txt
%attr(0755,root,root) %{_bindir}/mvn
%attr(0755,root,root) %{_bindir}/mvn-jpp
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%{_datadir}/%{name}/bin/*.bat
%config(noreplace) %{_datadir}/%{name}/bin/*.conf
%attr(0755,root,root) %{_datadir}/%{name}/bin/m2
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvn
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvnDebug
%{_datadir}/%{name}/boot
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/plugins/maven-plugins*jar
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/poms
%{_datadir}/%{name}/repository
%{_mavendepmapfragdir}
%{_javadir}/%{name}

%if %with bootstrap
%{_datadir}/%{name}/bootstrap_repo
%endif

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/artifact-%{version}.jar.*
%{_libdir}/gcj/%{name}/artifact-manager-%{version}.jar.*
%{_libdir}/gcj/%{name}/artifact-test-%{version}.jar.*
%{_libdir}/gcj/%{name}/core-%{version}.jar.*
%{_libdir}/gcj/%{name}/error-diagnostics-%{version}.jar.*
%{_libdir}/gcj/%{name}/maven-%{version}-uber.jar.*
%{_libdir}/gcj/%{name}/model-%{version}.jar.*
%{_libdir}/gcj/%{name}/model-v3.jar.*
%{_libdir}/gcj/%{name}/monitor-%{version}.jar.*
%{_libdir}/gcj/%{name}/plugin-api-%{version}.jar.*
%{_libdir}/gcj/%{name}/plugin-descriptor-%{version}.jar.*
%{_libdir}/gcj/%{name}/plugin-parameter-documenter-%{version}.jar.*
%{_libdir}/gcj/%{name}/plugin-registry-%{version}.jar.*
%{_libdir}/gcj/%{name}/profile-%{version}.jar.*
%{_libdir}/gcj/%{name}/project-%{version}.jar.*
%{_libdir}/gcj/%{name}/reporting-api-%{version}.jar.*
%{_libdir}/gcj/%{name}/repository-metadata-%{version}.jar.*
%{_libdir}/gcj/%{name}/script-ant-%{version}.jar.*
%{_libdir}/gcj/%{name}/script-beanshell-%{version}.jar.*
%{_libdir}/gcj/%{name}/settings-%{version}.jar.*

%if %with bootstrap
%{_libdir}/gcj/maven2/asm3.jar.*
%{_libdir}/gcj/maven2/backport-util-concurrent.jar.*
%{_libdir}/gcj/maven2/beanshell.jar.*
%{_libdir}/gcj/maven2/bndlib.jar.*
%{_libdir}/gcj/maven2/book.jar.*
%{_libdir}/gcj/maven2/booter.jar.*
%{_libdir}/gcj/maven2/cdc.jar.*
%{_libdir}/gcj/maven2/classworlds.jar.*
%{_libdir}/gcj/maven2/common-artifact-filters.jar.*
%{_libdir}/gcj/maven2/decoration-model.jar.*
%{_libdir}/gcj/maven2/digest.jar.*
%{_libdir}/gcj/maven2/doc-renderer.jar.*
%{_libdir}/gcj/maven2/file-management.jar.*
%{_libdir}/gcj/maven2/geronimo-j2ee-1.4-apis.jar.*
%{_libdir}/gcj/maven2/geronimo-javamail-1.3.1-api.jar.*
%{_libdir}/gcj/maven2/impl.jar.*
%{_libdir}/gcj/maven2/io.jar.*
%{_libdir}/gcj/maven2/jar.jar.*
%{_libdir}/gcj/maven2/java.jar.*
%{_libdir}/gcj/maven2/junit.jar.*
%{_libdir}/gcj/maven2/mail-sender-api.jar.*
%{_libdir}/gcj/maven2/mail-sender-javamail.jar.*
%{_libdir}/gcj/maven2/mail-sender-simple.jar.*
%{_libdir}/gcj/maven2/manager-plexus.jar.*
%{_libdir}/gcj/maven2/maven-archiver.jar.*
%{_libdir}/gcj/maven2/maven-dependency-analyzer.jar.*
%{_libdir}/gcj/maven2/maven-dependency-tree.jar.*
%{_libdir}/gcj/maven2/maven-downloader.jar.*
%{_libdir}/gcj/maven2/maven-doxia_core.jar.*
%{_libdir}/gcj/maven2/maven-doxia_maven-plugin.jar.*
%{_libdir}/gcj/maven2/maven-embedder.jar.*
%{_libdir}/gcj/maven2/maven-invoker.jar.*
%{_libdir}/gcj/maven2/maven-model-converter.jar.*
%{_libdir}/gcj/maven2/maven-plugin-testing-harness.jar.*
%{_libdir}/gcj/maven2/maven-plugin-testing-tools.jar.*
%{_libdir}/gcj/maven2/maven-plugin-tools_api.jar.*
%{_libdir}/gcj/maven2/maven-scm_api.jar.*
%{_libdir}/gcj/maven2/maven-surefire_api.jar.*
%{_libdir}/gcj/maven2/maven-surefire_maven-plugin.jar.*
%{_libdir}/gcj/maven2/maven-test-tools.jar.*
%{_libdir}/gcj/maven2/maven-verifier.jar.*
%{_libdir}/gcj/maven2/maven2-plugin-shade.jar.*
%{_libdir}/gcj/maven2/modello_core.jar.*
%{_libdir}/gcj/maven2/modello_maven-plugin.jar.*
%{_libdir}/gcj/maven2/module-apt.jar.*
%{_libdir}/gcj/maven2/module-confluence.jar.*
%{_libdir}/gcj/maven2/module-docbook-simple.jar.*
%{_libdir}/gcj/maven2/module-fml.jar.*
%{_libdir}/gcj/maven2/module-itext.jar.*
%{_libdir}/gcj/maven2/module-latex.jar.*
%{_libdir}/gcj/maven2/module-rtf.jar.*
%{_libdir}/gcj/maven2/module-twiki.jar.*
%{_libdir}/gcj/maven2/module-xdoc.jar.*
%{_libdir}/gcj/maven2/module-xhtml.jar.*
%{_libdir}/gcj/maven2/plexus_maven-plugin.jar.*
%{_libdir}/gcj/maven2/plugin-jdom.jar.*
%{_libdir}/gcj/maven2/plugin-jpox.jar.*
%{_libdir}/gcj/maven2/plugin-prevayler.jar.*
%{_libdir}/gcj/maven2/plugin-store.jar.*
%{_libdir}/gcj/maven2/plugin-xdoc.jar.*
%{_libdir}/gcj/maven2/plugin-xml.jar.*
%{_libdir}/gcj/maven2/plugin-xpp3.jar.*
%{_libdir}/gcj/maven2/plugin-xsd.jar.*
%{_libdir}/gcj/maven2/pmd.jar.*
%{_libdir}/gcj/maven2/provider-bazaar.jar.*
%{_libdir}/gcj/maven2/provider-clearcase.jar.*
%{_libdir}/gcj/maven2/provider-cvs-commons.jar.*
%{_libdir}/gcj/maven2/provider-cvsexe.jar.*
%{_libdir}/gcj/maven2/provider-cvsjava.jar.*
%{_libdir}/gcj/maven2/provider-hg.jar.*
%{_libdir}/gcj/maven2/provider-local.jar.*
%{_libdir}/gcj/maven2/provider-perforce.jar.*
%{_libdir}/gcj/maven2/provider-starteam.jar.*
%{_libdir}/gcj/maven2/provider-svn-commons.jar.*
%{_libdir}/gcj/maven2/provider-svnexe.jar.*
%{_libdir}/gcj/maven2/provider-synergy.jar.*
%{_libdir}/gcj/maven2/provider-vss.jar.*
%{_libdir}/gcj/maven2/repository-builder.jar.*
%{_libdir}/gcj/maven2/resources.jar.*
%{_libdir}/gcj/maven2/saxpath.jar.*
%{_libdir}/gcj/maven2/sink-api.jar.*
%{_libdir}/gcj/maven2/site-renderer.jar.*
%{_libdir}/gcj/maven2/utils.jar.*
%{_libdir}/gcj/maven2/velocity.jar.*
%endif

%endif
%config(noreplace,missingok) /etc/mavenrc



%files javadoc
%doc %{_javadocdir}/*

%files manual
%doc %{_docdir}/%{name}-%{version}

%files plugin-ant
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/ant-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/ant-plugin*.jar.*
%endif

%files plugin-antlr
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/antlr-plugin*.jar


%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/antlr-plugin*.jar.*
%endif

%files plugin-antrun
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/antrun-plugin*.jar


%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/antrun-plugin*.jar.*
%endif

%files plugin-assembly
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/assembly-plugin*.jar


%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/assembly-plugin*.jar.*
%endif

%files plugin-changelog
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/changelog-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/changelog-plugin*.jar.*
%endif

%files plugin-changes
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/changes-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/changes-plugin*.jar.*
%endif

%files plugin-checkstyle
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/checkstyle-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/checkstyle-plugin*.jar.*
%endif

%files plugin-clean
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/clean-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/clean-plugin*.jar.*
%endif

%if %{NONFREE}
%files plugin-clover
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/clover-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/clover-plugin*.jar.*
%endif
%endif

%files plugin-compiler
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/compiler-plugin*.jar


%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/compiler-plugin*.jar.*
%endif

%files plugin-dependency
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/dependency-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/dependency-plugin*.jar.*
%endif

%files plugin-deploy
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/deploy-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/deploy-plugin*.jar.*
%endif


%files plugin-doap
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/doap-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/doap-plugin*.jar.*
%endif


%files plugin-docck
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/docck-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/docck-plugin*.jar.*
%endif


%files plugin-ear
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/ear-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/ear-plugin*.jar.*
%endif

%files plugin-eclipse
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/eclipse-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/eclipse-plugin*.jar.*
%endif


%files plugin-ejb
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/ejb-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/ejb-plugin*.jar.*
%endif

%files plugin-gpg
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/gpg-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/gpg-plugin*.jar.*
%endif


%files plugin-help
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/help-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/help-plugin*.jar.*
%endif


%files plugin-idea
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/idea-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/idea-plugin*.jar.*
%endif


%files plugin-install
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/install-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/install-plugin*.jar.*
%endif


%files plugin-invoker
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/invoker-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/invoker-plugin*.jar.*
%endif


%files plugin-jar
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/jar-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/jar-plugin*.jar.*
%endif


%files plugin-javadoc
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/javadoc-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/javadoc-plugin*.jar.*
%endif


%files plugin-one
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/one-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/one-plugin*.jar.*
%endif


%files plugin-pmd
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/pmd-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/pmd-plugin*.jar.*
%endif


%files plugin-project-info-reports
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/project-info-reports-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/project-info-reports-plugin*.jar.*
%endif


%files plugin-rar
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/rar-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/rar-plugin*.jar.*
%endif

%files plugin-remote-resources
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/remote-resources-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/remote-resources-plugin*.jar.*
%endif

%files plugin-repository
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/repository-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/repository-plugin*.jar.*
%endif

%files plugin-resources
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/resources-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/resources-plugin*.jar.*
%endif


%files plugin-site
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/site-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/site-plugin*.jar.*
%endif


%files plugin-source
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/source-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/source-plugin*.jar.*
%endif

%files plugin-stage
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/stage-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/stage-plugin*.jar.*
%endif

%files plugin-verifier
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/verifier-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/verifier-plugin*.jar.*
%endif


%files plugin-war
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/war-plugin*.jar

%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/war-plugin*.jar.*
%endif

%if %with repolib
%files repolib
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Tue Sep 06 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt11_37jpp6
- fixed build w/new xmlrpc

* Thu Mar 10 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt10_37jpp6
- new jpp release with ant 1.8 support

* Fri Feb 25 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt10_29jpp6
- added missing /etc/mavenrc config

* Tue Feb 22 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt9_29jpp6
- new jpp release

* Mon Feb 14 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt9_28jpp6
- build with surefire 2.4

* Tue Feb 01 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt8_28jpp6
- build with new modello

* Mon Jan 31 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt8_27jpp6
- added missing Req: to maven2-plugin-remote-resources

* Wed Jan 26 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt7_27jpp6
- patched to build with new plexus-interpolation

* Tue Jan 25 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt6_27jpp6
- fixed build

* Tue Sep 28 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt6_26jpp6
- build w/o maven-2.0.x-MNG-3948.patch

* Mon Sep 27 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt5_26jpp6
- build w/o maven-2.0.x-MNG-3948.patch

* Sun Sep 26 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt4_26jpp6
- updated bootstrap repository

* Fri Sep 24 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt3_26jpp6
- backported 2.0.11 patch for parent poms lookup

* Fri Sep 24 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt2_26jpp6
- semi-bootstrap build

* Thu Sep 16 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.8-alt1_26jpp6
- new version

* Tue Jun 09 2009 Igor Vlasenko <viy@altlinux.ru> 0:2.0.7-alt2_9jpp5
- new jpp release

* Fri Feb 27 2009 Igor Vlasenko <viy@altlinux.ru> 0:2.0.7-alt2_8jpp5
- fixed build

* Tue Feb 03 2009 Igor Vlasenko <viy@altlinux.ru> 0:2.0.7-alt1_8jpp5
- new version

* Tue Nov 13 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.0.4-alt1_10jpp1.7
- imported with jppimport script; note: bootstrapped version

